eventselection_list: 
  process:
    process_type: interpolated-script-cmd
    script: |
      id
      id -u
      whoami
      ls
      pwd
      source /home/atlas/release_setup.sh 
      source /code/src/build/x86*/setup.sh 
      echo "{SERVICE_PASS}" | kinit {CERN_USER}@CERN.CH
      EtaInterCalAnalysis -a {jetAlgorithm} -o {sampleName}.root -type list -input {inputList}
      cp {sampleName}.root {stepdir}/{sampleName}.root
  publisher:
    publisher_type: interpolated-pub
    publish:
      histFile: '{stepdir}/{sampleName}.root'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/dijet-insitu-calibration-and-resolution
    imagetag: larger-jg-main-f21141e3
    resources:
      - kubernetes_uid: 500

merge:
  process:
    process_type: interpolated-script-cmd
    script: |
      pwd
      source /home/atlas/release_setup.sh 
      ls
      hadd {outputFile} {inputFiles}
  publisher:
    publisher_type: interpolated-pub
    publish:
      histFile: '{outputFile}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/dijet-insitu-calibration-and-resolution
    imagetag: larger-jg-main-f21141e3
    resources:
      - kubernetes_uid: 500
      
validate:
  process:
    process_type: interpolated-script-cmd
    script: |
      pwd
      source /home/atlas/release_setup.sh 
      ls
      python helperScripts/DrawHistFromNTup.py -i {inputFile} -t {jetTree} -p {plotVar} -b {binning} -o {outputPlot}
  publisher:
    publisher_type: interpolated-pub
    publish:
      plotFile: '{outputPlot}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/dijet-insitu-calibration-and-resolution
    imagetag: larger-jg-main-f21141e3
    resources:
      - kubernetes_uid: 500
      
validate_data_mc:
  process:
    process_type: interpolated-script-cmd
    script: |
      pwd
      source /home/atlas/release_setup.sh 
      ls
      python helperScripts/DrawDataMCFromNTup.py -m {inputFile_mc} -d {inputFile_data} -t {jetTree} -p {plotVar} -b {binning} -o {outputPlot}
  publisher:
    publisher_type: interpolated-pub
    publish:
      plotFile: '{outputPlot}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/dijet-insitu-calibration-and-resolution
    imagetag: larger-jg-main-bb1e6eec
    resources:
      - kubernetes_uid: 500
          
histogram:
  process:
    process_type: interpolated-script-cmd
    script: |
      source /home/atlas/release_setup.sh
      /code/src/GenerateHistograms/histogramGenerator.exe /code/src/GenerateHistograms/utils/settings.config {inputFile} ./ PowhegPythia8 p2666 doBootStrap=0,doNominal=1,doSystematics=0,doDphiShiftDown=0,doDphiShiftUp=0,doJet3PtFracShiftUp=0,doJet3PtFracShiftDown=0,doJVTCutTight=0
      cp Sherpa_nominal.root {outputFile}
  publisher:
    publisher_type: interpolated-pub
    publish:
      outputFile: '{outputFile}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/dijet-insitu-calibration-and-resolution
    imagetag: larger-jg-main-bb1e6eec
    resources:
      - kubernetes_uid: 500    
    
minimize:
  process:
    process_type: interpolated-script-cmd
    script: |
      source /home/atlas/release_setup.sh
      /code/src/MinimiseResponseMatrix/matrix_minimization.exe    /code/src/MinimiseResponseMatrix/utils/Dijet_xAOD.config      AntiKt4EMTopo    AntiKt4EMTopo    Eta0.3    {inputFile}    output_minimize.root  nominal Sherpa
      cp output_minimize.root {outputFile}      
      cp output_minimize_AsymMM_distributions.ps   {stepdir}/output_minimize_AsymMM_distributions.ps
      cp output_minimize_AsymSM_2_distributions.ps {stepdir}/output_minimize_AsymSM_2_distributions.ps
      cp output_minimize_AsymSM_distributions.ps   {stepdir}/output_minimize_AsymSM_distributions.ps
      cp output_minimize_Results.ps                {stepdir}/output_minimize_Results.ps
  publisher:
    publisher_type: interpolated-pub
    publish:
      outputPlot_1: '{stepdir}/output_minimize_AsymMM_distributions.ps'
      outputPlot_2: '{stepdir}/output_minimize_AsymSM_2_distributions.ps'
      outputPlot_3: '{stepdir}/output_minimize_AsymSM_distributions.ps'
      outputPlot_4: '{stepdir}/output_minimize_Results.ps'
      outputFile:   '{outputFile}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/dijet-insitu-calibration-and-resolution
    imagetag: larger-jg-main-bb1e6eec
    resources:
      - kubernetes_uid: 500
          
calibrate:
  process:
    process_type: interpolated-script-cmd
    script: |
      source /home/atlas/release_setup.sh
      /code/src/CalibrationAndUncertainties/finalize_calibration.exe AntiKt4EMTopo MM {inputFile_mc_nom} {inputFile_mc_alt} {inputFile_data} ./
      cp 2018_EtaIntercalibration13TeVRel21_MM_AntiKt4EMTopo_Calibration.root    {outputFile_cal}
      cp 2018_EtaIntercalibration13TeVRel21_MM_AntiKt4EMTopo_Uncertainties.root  {outputFile_unc}
      cp 2018_EtaIntercalibration13TeVRel21_MM_AntiKt4EMTopo.pdf {stepdir}/2018_EtaIntercalibration13TeVRel21_MM_AntiKt4EMTopo.pdf
  publisher:
    publisher_type: interpolated-pub
    publish:
      outputFile_calibration:   
      outputFile_uncertainties: 
      outputPlot: '{stepdir}/2018_EtaIntercalibration13TeVRel21_MM_AntiKt4EMTopo.pdf'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/dijet-insitu-calibration-and-resolution
    imagetag: larger-jg-main-bb1e6eec
    resources:
      - kubernetes_uid: 500      
      
      
      
      
      
      
      
      
      
      
      
      
      
          
eventselection:
  process:
    process_type: interpolated-script-cmd
    interpreter: bash
    script: |
      source /home/atlas/release_setup.sh
      source /analysis/build/x86*/setup.sh

      cat << 'EOF' > recast_xsecs.txt
      id/I:name/C:xsec/F:kfac/F:eff/F:relunc/F
      {did} {name} {xsec_in_pb} 1.0 1.0 1.0
      EOF

      echo {dxaod_file} > recast_inputs.txt
      myEventSelection {submitDir} recast_inputs.txt recast_xsecs.txt {lumi_in_ifb}
  publisher:
    publisher_type: interpolated-pub
    publish:
      histfile: '{submitDir}/hist-sample.root'
  environment:
    environment_type: 'docker-encapsulated'
    image: reanahub/reana-demo-atlas-recast-eventselection
    imagetag: '1.0'
    resources:
      - kubernetes_uid: 500

statanalysis:
  process:
    process_type: interpolated-script-cmd
    interpreter: bash
    script: |
      source /home/atlas/release_setup.sh

      python /code/make_ws.py {data_file} {signal_file} {background_file}
      mkdir -p {resultdir}
      python /code/plot.py results/meas_combined_meas_model.root {resultdir}/pre.png {resultdir}/post.png
      python /code/set_limit.py results/meas_combined_meas_model.root \
             {resultdir}/limit.png {resultdir}/limit_data.json \
             {resultdir}/limit_data_nomsignal.json
  publisher:
    publisher_type: interpolated-pub
    publish:
      pre:    '{resultdir}/pre.png'
      post:   '{resultdir}/post.png'
      limit:  '{resultdir}/limit_data.json'
      nomsig: '{resultdir}/limit_data_nomsignal.json'
  environment:
    environment_type: 'docker-encapsulated'
    image: reanahub/reana-demo-atlas-recast-statanalysis
    imagetag: '1.0'
    resources:
      - kubernetes_uid: 500
